package cz.moneta.test.dsl.salesforceapi;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.sales_force.SalesForceApiEndpoint;
import cz.moneta.test.harness.support.rest.RawRestRequest;

import jakarta.ws.rs.core.MediaType;

public class SalesForceApiBuilder {
    private final Harness harness;

    public SalesForceApiBuilder(Harness harness) {
        this.harness = harness;
    }

    public RawRestRequest.Path prepareRequest() {
        return RawRestRequest.jsonBuilder(harness.getEndpoint(SalesForceApiEndpoint.class));
    }

    public RawRestRequest.Path prepareRequestUrlEncoded() {
        return RawRestRequest.customJsonBuilder(harness.getEndpoint(SalesForceApiEndpoint.class), MediaType.APPLICATION_FORM_URLENCODED);
    }
}
